# Method: buyers.userLists.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.ListUserListsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists/list#try-it)

Lists the user lists visible to the current user.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/{parent=buyers/*}/userLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent buyer for the user lists to be returned that must follow the pattern `buyers/{buyerAccountId}`, where `{buyerAccountId}` represents the account ID of the buyer who owns user lists. For a bidder accessing user lists on behalf of a child seat buyer , `{buyerAccountId}` should represent the account ID of the child seat buyer. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The number of results to return per page. |
| `pageToken` | `string` Continuation page token as received from a previous response. |

### Request body

The request body must be empty.

### Response body

The list user list response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "userLists": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists#UserList`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `userLists[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.userLists#UserList`)`` List of user lists from the search. |
| `nextPageToken` | `string` The continuation page token to send back to the server in a subsequent request. Due to a currently known issue, it is recommended that the caller keep invoking the list method until the time a next page token is not returned, even if the result set is empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`